Skip to main content
POST
/
product-collections
/
{id}
/
unarchive
JavaScript
import DodoPayments from 'dodopayments';

const client = new DodoPayments({
  bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});

const response = await client.productCollections.unarchive('id');

console.log(response.collection_id);
{
  "collection_id": "<string>",
  "excluded_product_ids": [
    "<string>"
  ],
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dodopayments.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Product Collection Id

Response

Product Collection Unarchived Successfully

collection_id
string
required

Collection ID that was unarchived

excluded_product_ids
string[]
required

Product IDs that were excluded because they are archived

message
string
required

Success message

Last modified on May 21, 2026